package gomatrixplus

import (
	"crypto/hmac"
	"crypto/sha1"
	"encoding/hex"
	"strings"
)

func hmacEncrypt(secret string, keys ...string) string {
	unencryptedSecret := strings.Join(keys, "\x00")

	mac := hmac.New(sha1.New, []byte(secret))
	mac.Write([]byte(unencryptedSecret))
	b := mac.Sum(nil)
	encryptedSecret := hex.EncodeToString(b)

	return encryptedSecret
}
