package gomatrixplus

import (
	"github.com/matrix-org/gomatrix"
)

// Extends gomatrix
type Client struct {
	*gomatrix.Client
}

func NewClient(homeserverURL, userID, accessToken string) (*Client, error) {
	cli, err := gomatrix.NewClient(homeserverURL, userID, accessToken)
	if err != nil {
		return nil, err
	}

	return &Client{cli}, nil
}
