package gomatrixplus

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

// Test using https://matrix-org.github.io/synapse/latest/admin_api/register_api.html
func TestMac(t *testing.T) {
	nonce := "thisisanonce"
	username := "pepper_roni"
	password := "pizza"
	admin := "admin"
	secret := "shared_secret"

	encryptedSecret := hmacEncrypt(secret, nonce, username, password, admin)

	assert.Equal(t, encryptedSecret, "48715842ad67d5dc9a9ee938a3bda4fcfae8d7c7")
}
